Catchups.ai Video creation API
  1. Account
  • Account
    • Get authenticated account summary
      GET
  • Video Generations
    • List video generations
      GET
    • Create a video generation
      POST
    • Get video generation status
      GET
    • Get completed generation result
      GET
    • Cancel a video generation
      POST
  • Research
    • Create a researched video generation
      POST
  1. Account

Get authenticated account summary

GET
/v1/me
Returns the account identity resolved from the caller credentials. Credits, workspaces, and projects are populated from your Catchups account.

Request

None

Responses

🟢200OK
application/json
Current account summary.
Bodyapplication/json

🟠401Unauthorized
🟠403Forbidden
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/v1/me'
Response Response Example
200 - Authenticated account
{
    "accountId": "acct_01HXAMPLE",
    "userId": "api_key_key_01HXAMPLE",
    "authType": "api_key",
    "scopes": [
        "jobs:read",
        "jobs:write"
    ],
    "account": {
        "id": "acct_01HXAMPLE",
        "name": "Example Media",
        "slug": "example-media",
        "plan": "growth",
        "status": "active",
        "createdAt": "2026-05-01T10:00:00.000Z"
    },
    "credits": {
        "balance": 1200,
        "currency": "credits"
    },
    "workspaces": [
        {
            "id": "acct_01HXAMPLE",
            "name": "Example Media",
            "slug": "example-media",
            "status": "active"
        }
    ],
    "projects": [
        {
            "id": "proj_01HXAMPLE",
            "name": "Example Daily Brief",
            "slug": "daily-brief"
        }
    ]
}
Modified at 2026-05-24 15:07:59
Next
List video generations
Built with